Package org.eclipse.lemminx.services.format

## Enum FormatElementCategory

- java.lang.Object
- - java.lang.Enum<FormatElementCategory>
  - - org.eclipse.lemminx.services.format.FormatElementCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<FormatElementCategory>`

    public enum FormatElementCategory
    extends Enum<FormatElementCategory>

Format element catagory.

Author:
  Angelo ZERR

### Enum Constant Summary

Enum Constants
`IgnoreSpace` In the ignore space category, all whitespace is considered insignificant.
`MixedContent` In the mixed content category, a single whitespace between text characters is considered significant and all other spaces are considered insignificant.
`NormalizeSpace` In the normalize space category, a single whitespace character between character strings is considered significant and all other spaces are considered insignificant.
`PreserveSpace` In the preserve space category, all whitespace in the element is regarded as significant.

### Method Summary

All Methods Static Methods Concrete Methods
`static FormatElementCategory` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FormatElementCategory[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IgnoreSpace

    public static final FormatElementCategory IgnoreSpace

In the ignore space category, all whitespace is considered insignificant. This generally applies to content that consists only of elements nested inside other elements, with no text content.

#### NormalizeSpace

    public static final FormatElementCategory NormalizeSpace

In the normalize space category, a single whitespace character between character strings is considered significant and all other spaces are considered insignificant. Therefore, all consecutive whitespaces will be replaced with a single space. This generally applies to elements that contain text content only.

#### MixedContent

    public static final FormatElementCategory MixedContent

In the mixed content category, a single whitespace between text characters is considered significant and all other spaces are considered insignificant.

#### PreserveSpace

    public static final FormatElementCategory PreserveSpace

In the preserve space category, all whitespace in the element is regarded as significant. No changes are made to the spaces in elements in this category. However, child elements may be in another category, and may be treated differently. Attribute values are always in the preserve space category. The spaces between attributes in an element tag are always in the default space category.

### Method Detail

#### values

    public static FormatElementCategory[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FormatElementCategory c : FormatElementCategory.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FormatElementCategory valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null